<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* notification-form-show.twig */
class __TwigTemplate_039db584b272d9906d9ee3d7b2c2c2971d8ed996b45deadf32610f079cc2d68a extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 10
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 11
        $context["forms"] = $this->loadTemplate("forms.twig", "notification-form-show.twig", 11)->unwrap();
        // line 10
        $this->parent = $this->loadTemplate("form-base.twig", "notification-form-show.twig", 10);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 13
    public function block_formTitle($context, array $blocks = [])
    {
        // line 14
        echo "    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["notification"] ?? null), "subject", []), "html", null, true);
        echo "
";
    }

    // line 17
    public function block_formButtons($context, array $blocks = [])
    {
        // line 18
        echo "    ";
        echo __("Close");
        echo ", XiboDialogClose()
";
    }

    // line 21
    public function block_formHtml($context, array $blocks = [])
    {
        // line 22
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            ";
        // line 24
        ob_start(function () { return ''; });
        echo "<span class=\"notification-date\">";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["notification"] ?? null), "readDt", []), "html", null, true);
        echo "</span>";
        $context["readDt"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 25
        echo "            <p>";
        echo __("Published");
        echo " <span class=\"notification-date\">";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["notification"] ?? null), "releaseDt", []), "html", null, true);
        echo "</span>, ";
        /* xgettext:no-php-format */        echo strtr(__("you read this %readDt%."), array("%readDt%" => ($context["readDt"] ?? null), ));
        echo "</p>
            ";
        // line 26
        echo $this->getAttribute(($context["notification"] ?? null), "body", []);
        echo "
            <p><a href=\"";
        // line 27
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("notification.exportattachment", ["id" => $this->getAttribute(($context["notification"] ?? null), "notificationId", [])]), "html", null, true);
        echo "\">";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["notification"] ?? null), "originalFileName", []), "html", null, true);
        echo "</a> </p>

        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "notification-form-show.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  90 => 27,  86 => 26,  77 => 25,  71 => 24,  67 => 22,  64 => 21,  57 => 18,  54 => 17,  47 => 14,  44 => 13,  39 => 10,  37 => 11,  31 => 10,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "notification-form-show.twig", "/home/mgatv524/public_html/edurocha/views/notification-form-show.twig");
    }
}
